aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-07-14 14:39:29 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-07-14 14:39:29 +0000
commitca234242ab0e36b80dc6ee23d6a7b37ebe5332f4 (patch)
tree3610c0694484698bac8ae1732f9ff97229ce0afe
parent65798fc55f1477913f38d8b6c8c153ba54e1f835 (diff)
downloadaports-ca234242ab0e36b80dc6ee23d6a7b37ebe5332f4.tar.bz2
aports-ca234242ab0e36b80dc6ee23d6a7b37ebe5332f4.tar.xz
core/abuild: fix stupid bug
-rw-r--r--core/abuild/0001-core-abuild-fix-options-order-to-apk-add.patch25
-rw-r--r--core/abuild/APKBUILD9
2 files changed, 32 insertions, 2 deletions
diff --git a/core/abuild/0001-core-abuild-fix-options-order-to-apk-add.patch b/core/abuild/0001-core-abuild-fix-options-order-to-apk-add.patch
new file mode 100644
index 0000000000..7a5c25a815
--- /dev/null
+++ b/core/abuild/0001-core-abuild-fix-options-order-to-apk-add.patch
@@ -0,0 +1,25 @@
+From 7c45a9dcafa1b4cd1f30c6453b76a3a29f6b9c8f Mon Sep 17 00:00:00 2001
+From: Natanael Copa <ncopa@alpinelinux.org>
+Date: Tue, 14 Jul 2009 14:37:33 +0000
+Subject: [PATCH] core/abuild: fix options order to apk add
+
+---
+ abuild.in | 2 +-
+ 1 files changed, 1 insertions(+), 1 deletions(-)
+
+diff --git a/abuild.in b/abuild.in
+index 6dc2fb4..43cf68e 100755
+--- a/abuild.in
++++ b/abuild.in
+@@ -724,7 +724,7 @@ builddeps() {
+ msg "Entering $dir"
+ cd "$dir" && $0 -k -r apkcache || return 1
+ done
+- $SUDO apk add --repo -u "$apkcache" \
++ $SUDO apk add -u --repo "$apkcache" \
+ --virtual .makedepends-$pkgname $deps
+ }
+
+--
+1.6.3.3
+
diff --git a/core/abuild/APKBUILD b/core/abuild/APKBUILD
index ab5f200b05..4122b36fd2 100644
--- a/core/abuild/APKBUILD
+++ b/core/abuild/APKBUILD
@@ -2,9 +2,10 @@
pkgdesc="Script to build Alpine Packages"
pkgname=abuild
pkgver=1.16
-pkgrel=0
+pkgrel=1
url=http://git.alpinelinux.org/cgit/abuild/
source="http://git.alpinelinux.org/cgit/abuild/snapshot/abuild-$pkgver.tar.bz2
+ 0001-core-abuild-fix-options-order-to-apk-add.patch
"
depends="fakeroot file sudo pax-utils"
license=GPL-2
@@ -12,8 +13,12 @@ license=GPL-2
build() {
cd "$srcdir/$pkgname-$pkgver"
+ patch -p1 < ../0001-core-abuild-fix-options-order-to-apk-add.patch \
+ || return 1
+
make install DESTDIR="$pkgdir"
install -m 644 abuild.conf "$pkgdir"/etc/abuild.conf
}
-md5sums="d6aa9ae0b28491c687f6575a6b219780 abuild-1.16.tar.bz2"
+md5sums="d6aa9ae0b28491c687f6575a6b219780 abuild-1.16.tar.bz2
+13ea88d46143b30d5c4fe261d6e80228 0001-core-abuild-fix-options-order-to-apk-add.patch"